/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controler;

import domain.Manufacturer;
import domain.Product;
import domain.User;
import java.util.List;
import storage.StorageManufacturer;
import storage.StorageProduct;
import storage.StorageUser;

/**
 *
 * @author FON
 */
public class Controler {
    private static Controler instance;
    
    public static Controler getInstance(){
        if(instance==null){
            instance=new Controler();
        }
        return instance;
    }
    
    private StorageUser storageUser;
    private StorageManufacturer storageManufacturer;
    private StorageProduct storageProduct;

    private Controler() {
        storageUser=new StorageUser();
        storageManufacturer=new StorageManufacturer();
        storageProduct=new StorageProduct();
    }
    
    
    
    public User logIn(String username, String password) throws Exception{
        List<User> users=storageUser.getUsers();
        for (User user : users) {
            if(user.getUsername().equals(username)){
                if(user.getPassword().equals(password)){
                    return user;
                }else{
                    throw new Exception("Pogresna lozinka!");
                }
            }
        }
        throw new Exception("Korisnik sa unetim korisni;kim imenom ne postoji!");
    }
    
    public List<Manufacturer> getManufacturerList(){
        return storageManufacturer.getManufacturers();
    }
    
    public void addNewProduct(Product product) throws Exception{
        try{
            storageProduct.addProduct(product);
        }catch(Exception e){
            throw e;
        }
    }
    
    public List<Product> getProductList(){
        return storageProduct.getProducts();
    }
    
}
