/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package db;

import domain.User;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student1
 */
public class DatabaseBroker {
    private Connection connection;
    
    public void connect() throws Exception{
        try {
            Class.forName("com.mysql.jdbc.Driver");
            String url="jdbc:mysql://localhost:3306/ps2018pon1214";
            String user="root";
            String password="";
            connection = DriverManager.getConnection(url, user, password);
            System.out.println("Uspesna konekcija na bazu!");
        } catch (ClassNotFoundException ex) {
            System.out.println("Konekcija na bazu nije uspostavljena!");
            ex.printStackTrace();
            throw ex;
        } catch (SQLException ex) {
            System.out.println("Konekcija na bazu nije uspostavljena!");
            ex.printStackTrace();
            throw ex;
        }
    }
    
    public void disconnect() throws Exception{
        try {
            connection.close();
            System.out.println("Konekcija na bazu uspesno raskinuta!");
        } catch (SQLException ex) {
            System.out.println("Konekcija na bazu nije uspesno raskinuta!");
            ex.printStackTrace();
            throw ex;
        }
    }
    
    public List<User> getAllUser() throws Exception{
        List<User> users=new ArrayList<>();
        try {
            String sql="SELECT id, username, password, firstname, lastname, email FROM User";
            System.out.println(sql);
            Statement statement=connection.createStatement();
            ResultSet rs=statement.executeQuery(sql);
            while(rs.next()){
                User user=new User();
                user.setId(rs.getLong("id"));
                user.setUsername(rs.getString("username"));
                user.setPassword(rs.getString("password"));
                user.setFirstname(rs.getString("firstname"));
                user.setLastname(rs.getString("lastname"));
                user.setEmail(rs.getString("email"));
                users.add(user);
            }
            rs.close();
            statement.close();
            System.out.println("Uspesno su procitani podaci iz tabele User!");
        } catch (SQLException ex) {
            System.out.println("Greska pri citanju podataka iz tabele User!");
            ex.printStackTrace();
            throw ex;
        }
        return users;
    }
}
