/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domain;

import java.math.BigDecimal;

/**
 *
 * @author student1
 */
public class Product {
    
    private Long id;
    private String name;
    private String description;
    private BigDecimal price;
    private EnumMeasurementUnit enumMeasurementUnit;
    private User savedUser;
    private Manufacturer manufacturer;

    public Product() {
    }

    public Product(Long id, String name, String description, BigDecimal price, EnumMeasurementUnit enumMeasurementUnit, User savedUser, Manufacturer manufacturer) {
        this.id = id;
        this.name = name;
        this.description = description;
        this.price = price;
        this.enumMeasurementUnit = enumMeasurementUnit;
        this.savedUser = savedUser;
        this.manufacturer = manufacturer;
    }

    public Manufacturer getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(Manufacturer manufacturer) {
        this.manufacturer = manufacturer;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public EnumMeasurementUnit getEnumMeasurementUnit() {
        return enumMeasurementUnit;
    }

    public void setEnumMeasurementUnit(EnumMeasurementUnit enumMeasurementUnit) {
        this.enumMeasurementUnit = enumMeasurementUnit;
    }

    public User getSavedUser() {
        return savedUser;
    }

    public void setSavedUser(User savedUser) {
        this.savedUser = savedUser;
    }
    
}
