/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controler;

import domain.Manufacturer;
import domain.Product;
import domain.User;
import java.util.LinkedList;
import java.util.List;
import storage.database.StorageDatabaseManufacturer;
import storage.database.StorageDatabaseProduct;
import storage.database.StorageDatabaseUser;

/**
 *
 * @author FON
 */
public class Controler {

    //private StorageUser storageUser;
    //private StorageManufacturer storageManufacturer;
    //private StorageProduct storageProduct;
    private StorageDatabaseManufacturer storageDatabaseManufacturer;
    private StorageDatabaseUser storageDatabaseUser;
    private StorageDatabaseProduct storageDatabaseProduct;
    private static Controler instance;

    private Controler() {
        //storageUser = new StorageUser();
        //storageManufacturer = new StorageManufacturer();
        //storageProduct = new StorageProduct();
        storageDatabaseUser = new StorageDatabaseUser();
        storageDatabaseManufacturer = new StorageDatabaseManufacturer();
        storageDatabaseProduct = new StorageDatabaseProduct();
    }

    public static Controler getInstance() {
        if (instance == null) {
            instance = new Controler();
        }
        return instance;
    }

    public User logIn(String username, String password) throws Exception {
        return storageDatabaseUser.login(username, password);
    }

    public List<Manufacturer> getAllManufacturers() throws Exception {
        return storageDatabaseManufacturer.getAll();
    }

    public void saveProduct(Product product) throws Exception {
        //setID();
        storageDatabaseProduct.add(product);
    }

    public void saveProducts(List<Product> products) throws Exception {
        storageDatabaseProduct.addProducts(products);
    }

    public List<Product> getAllProducts() {
        //return storageProduct.getAll();
        //TODO Dovrsiti
        return new LinkedList<>();
    }

    public Product getProduct(Long productId) throws Exception {

//        List<Product> products = storageProduct.getAll();
//        for (Product product : products) {
//            if (product.getId().equals(productId)) {
//                return product;
//            }
//        }
        throw new Exception("Product with id:" + productId + " does not exist!");
    }

    public void updateProduct(Product updatedProduct) throws Exception {
//        try {
//            List<Product> products = storageProduct.getAll();
//
//            for (Product product : products) {
//                if (product.getId().equals(updatedProduct.getId())) {
//                    product.setName(updatedProduct.getName());
//                    product.setDescription(updatedProduct.getDescription());
//                    product.setPrice(updatedProduct.getPrice());
//                    product.setMeasurementUnit(updatedProduct.getMeasurementUnit());
//                    product.setManufacturer(updatedProduct.getManufacturer());
//
//                    break;
//                }
//            }
//        } catch (Exception e) {
//            throw new Exception("Product is not updated!");
//        }
    }
}
