/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.memory;

import domain.Product;
import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author Korisnik
 */
public class MemoryStorageProduct {

    private List<Product> products;

    public MemoryStorageProduct() {
        this.products = new LinkedList<>();
    }

    public void add(Product product) {
        this.products.add(product);
    }

    public List<Product> getAll() {
        return products;
    }

    public Long getNextID() {
        Long id = -1l;
        for (Product product : products) {
            if (product.getId() > id) {
                id = product.getId();
            }
        }
        return id + 1;
    }

}
