/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.database;

import domain.IGeneralEntity;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.List;
import storage.IDatabaseBroker;
import storage.database.connection.DatabaseConnection;

/**
 *
 * @author student1
 */
public class DatabaseBroker implements IDatabaseBroker {

    @Override
    public List<IGeneralEntity> getAll(IGeneralEntity entity) throws Exception {
        List<IGeneralEntity> list = null;
        try {
            Connection connection = DatabaseConnection.getInstance().getConnection();
            System.out.println("Uspostavljena je konekcija na bazu");
            String query = "SELECT * FROM " + entity.getTableName();
            System.out.println(query);
            Statement statement = connection.createStatement();
            ResultSet resultSet = statement.executeQuery(query);
            list = entity.getList(resultSet);
            resultSet.close();
            statement.close();
            return list;
        } catch (SQLException ex) {
            ex.printStackTrace();
            throw ex;
        }

    }

}
