/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package thread;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student1
 */
public class Stanje {

    private int kolicina;
    private boolean signal; // FALSE - Povecanje, TRUE - Smanjenje

    public Stanje(int kolicina) {
        this.kolicina = kolicina;
        this.signal = false;
    }

    public synchronized void smanji(int iznos) {
        if (signal) {
            this.kolicina = this.kolicina - iznos;
            System.out.println("Smanjujem za iznos: " + iznos + "; Nova kolicina: " + kolicina);
            signal = false;
            notify();
            try {
                wait();
            } catch (InterruptedException ex) {
                Logger.getLogger(Stanje.class.getName()).log(Level.SEVERE, null, ex);
            }
            notify();
        }
    }

    public synchronized void povecaj(int iznos) {
        if (!signal) {
            this.kolicina = this.kolicina + iznos;
            System.out.println("Povecavam za iznos: " + iznos + "; Novo kolicina: " + kolicina);
            signal = true;
            notify();
            try {
                wait();
            } catch (InterruptedException ex) {
                Logger.getLogger(Stanje.class.getName()).log(Level.SEVERE, null, ex);
            }
            notify();
        }
    }

    public int getKolicina() {
        return kolicina;
    }

    public void setKolicina(int kolicina) {
        this.kolicina = kolicina;
    }
}
