/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package so.manfucaturer;

import domain.IGeneralEntity;
import domain.Manufacturer;
import java.util.List;
import so.AbstractGenericOperation;

/**
 *
 * @author student1
 */
public class GetAllManufacturersSO extends AbstractGenericOperation {

    private List<IGeneralEntity> list;

    @Override
    protected void validate(Object entity) throws Exception {
        if (!(entity instanceof Manufacturer)) {
            throw new Exception("Invalid entity parameter!");
        }
    }

    @Override
    protected void execute(Object entity) throws Exception {
        list = databaseBroker.getAll((Manufacturer) entity);
    }

    public List<IGeneralEntity> getList() {
        return list;
    }
}
