/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package communication;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import transfer.Operation;
import transfer.Request;

/**
 *
 * @author student1
 */
public class Communication {
    private static Communication instance;
    private Socket socket;
    private ObjectInputStream inSocket;
    private ObjectOutputStream outSocket;
            
    private Communication() {
        
    }

    

    public static Communication getInstance() {
        if(instance==null)
            instance=new Communication();
        return instance;
    }
    
    public Socket getSocket() {
        return socket;
    }

    public void setSocket(Socket socket) {
        this.socket = socket;
    }

    public void login(String username) throws IOException {
        Request request=new Request(Operation.OPERATION_LOGIN, username);
        if(outSocket==null){
            outSocket=new ObjectOutputStream(socket.getOutputStream());
        }
        outSocket.writeObject(request);
    }
}
