/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package thread;

import form.FormChat;
import java.util.List;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.net.Socket;
import java.util.logging.Level;
import java.util.logging.Logger;
import transfer.Operation;
import transfer.Response;

/**
 *
 * @author student1
 */
public class ThreadChat  extends Thread{

    private Socket socket;
    private FormChat formChat;
    public ThreadChat(Socket socket,FormChat formChat) {
        this.socket=socket;
        this.formChat=formChat;
    }

    
    @Override
    public void run() {

        while(!isInterrupted()){
            try {
                ObjectInputStream inSocket=new ObjectInputStream(socket.getInputStream());
                Response response=(Response)inSocket.readObject();
                processResponse(response);
            } catch (Exception ex) {
                Logger.getLogger(ThreadChat.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
    }

    private void processResponse(Response response) {
        switch(response.getOperation()){
            case Operation.OPERATION_RECEIVE_MESSAGE:
                
                break;
            case Operation.OPERATION_UPDATE_USERS:
                List<String> users=(List<String>)response.getData();
                formChat.updateUsers(users);
                break;
        }
    }
   
    
    
}
