/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.database;

import domain.User;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import storage.database.connection.DatabaseConnection;

/**
 *
 * @author student1
 */
public class DatabaseStorageUser {
    
    public List<User> getAll() throws SQLException {
        List<User> users = new ArrayList<>();
//        String url = "jdbc:mysql://localhost:3306/soft_dev_d1";
//        String dbUser = "root";
//        String dbPassword = "";
//        Connection connection = DriverManager.getConnection(url, dbUser, dbPassword);
//        System.out.println("Connection created.");
        Connection connection = DatabaseConnection.getInstance().getConnection();
        String query = "select * from user order by username";
        Statement statement = connection.createStatement();
        ResultSet results = statement.executeQuery(query);
        
        while(results.next()) {
            Long id = results.getLong("id");
            String username = results.getString("username");
            String firstName = results.getString("firstname");
            String lastName = results.getString("lastname");
            String password = results.getString("password");
            String email = results.getString("email");
            User user = new User(id, username, password, firstName, lastName, email);
            users.add(user);
        }
        
        results.close();
        statement.close();
//        connection.close();
        
        return users;
    }
}
