/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package serverapp.server;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;

/**
 *
 * @author student1
 */
public class Server {

    private int port;

    public Server(int port) {
        this.port = port;
    }

    public void start() throws IOException {
        ServerSocket serverSocket = new ServerSocket(port);
        System.out.println("Server program is running");
        Socket socket = serverSocket.accept();
        System.out.println("Client is connected");

        startChat(socket);
    }

    private void startChat(Socket socket) throws IOException {
        while (true) {
            BufferedReader console = new BufferedReader(new InputStreamReader(System.in));

            System.out.println("<Server>: ");
            String inputMessage = console.readLine();

            //send message to client
            PrintWriter outSocket = new PrintWriter(socket.getOutputStream(), true);
            outSocket.println(inputMessage);
            
            if (inputMessage.equalsIgnoreCase("cao")) {
                break;
            }
            //read message from client
            BufferedReader inSocket = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            String clientMessage = inSocket.readLine();
            System.out.println("<Client>: " + clientMessage);
        }
        //System.out.println("End chat");
    }
}
