/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domain;

import java.math.BigDecimal;

/**
 *
 * @author student1
 */
public class Product {
    private Long id;
    private String name;
    private String description;
    private Manufacturer manufacturer;
    private BigDecimal price;
    private MeasurementUnit measurementUnit;
    private User savedUser;

    public Product(Long id, String name, String description, Manufacturer manufacturer, BigDecimal price, MeasurementUnit measurementUnit, User savedUser) {
        this.id = id;
        this.name = name;
        this.description = description;
        this.manufacturer = manufacturer;
        this.price = price;
        this.measurementUnit = measurementUnit;
        this.savedUser = savedUser;
    }

    public Product() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Manufacturer getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(Manufacturer manufacturer) {
        this.manufacturer = manufacturer;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public MeasurementUnit getMeasurementUnit() {
        return measurementUnit;
    }

    public void setMeasurementUnit(MeasurementUnit measurementUnit) {
        this.measurementUnit = measurementUnit;
    }

    public User getSavedUser() {
        return savedUser;
    }

    public void setSavedUser(User savedUser) {
        this.savedUser = savedUser;
    }
}
