/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domain;

import java.math.BigDecimal;

/**
 *
 * @author FON
 */
public class Product {
    private Long id;
    private String name;
    private String description;
    private BigDecimal price;
    private MeasurementUnit mesurementUnit;
    private Manufacturer manufacturer;
    private User user;

    public Product() {
    }

    public Product(Long id, String name, String description, BigDecimal price, MeasurementUnit mesurementUnit, Manufacturer manufacturer, User user) {
        this.id = id;
        this.name = name;
        this.description = description;
        this.price = price;
        this.mesurementUnit = mesurementUnit;
        this.manufacturer = manufacturer;
        this.user = user;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public MeasurementUnit getMesurementUnit() {
        return mesurementUnit;
    }

    public void setMesurementUnit(MeasurementUnit mesurementUnit) {
        this.mesurementUnit = mesurementUnit;
    }

    public Manufacturer getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(Manufacturer manufacturer) {
        this.manufacturer = manufacturer;
    }
    
    
}
