/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.database;

import domain.Manufacturer;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author student1
 */
public class StorageDatabaseManufacturer {

    public List<Manufacturer> getAll() throws Exception {
        List<Manufacturer> manufacturers = new LinkedList<>();
        try {
            //String url = "jdbc:mysql://localhost/soft_dev_d2";
            //String user = "root";
            //String pass = "";
            Connection connection = DatabaseConnection.getInstance().getConnection();
            String query = "SELECT * FROM Manufacturer";
            Statement statement = connection.createStatement();
            ResultSet resultSet = statement.executeQuery(query);
            while (resultSet.next()) {
                Long id = resultSet.getLong("id");
                String name = resultSet.getString(2);
                Manufacturer manufacturer = new Manufacturer(id, name);
                manufacturers.add(manufacturer);
            }
            resultSet.close();
            statement.close();
            return manufacturers;
        } catch (SQLException ex) {
            throw new Exception("Invalid connection! " + ex.getMessage(), ex);
        }
    }

}
