/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controler;

import communication.Communication;
import domain.Invoice;
import domain.Manufacturer;
import domain.Product;
import domain.User;
import java.io.IOException;
import java.sql.SQLException;
import java.util.List;
import transfer.Request;
import transfer.Response;
import transfer.util.Operation;
import transfer.util.ResponseStatus;

public class Controler {

    private static Controler instance;

    private Controler() {

    }

    public static Controler getInstance() {
        if (instance == null) {
            instance = new Controler();
        }
        return instance;
    }

    public User logIn(String username, String password) throws Exception {
        User user = new User();
        user.setUsername(username);
        user.setPassword(password);
        Request request = new Request(Operation.OPERATION_LOGIN, user);
        Communication.getInstance().sendRequest(request);
        Response response = Communication.getInstance().readResponse();
        if (response.getStatus() == ResponseStatus.OK) {
            return (User) response.getData();
        }
        Exception ex = (Exception) response.getError();
        throw ex;
    }

    public List<Manufacturer> getAllManufacturers() throws IOException, ClassNotFoundException {
        Request request = new Request();
        request.setOperation(Operation.OPERATION_GET_ALL_MANUFACTURERS);
        Communication.getInstance().sendRequest(request);
        Response response = Communication.getInstance().readResponse();
        return (List<Manufacturer>) response.getData();
    }

    public void saveProduct(Product product) throws SQLException {
        throw new RuntimeException("Za domaci");
    }

    public void saveProducts(List<Product> products) throws Exception {
        throw new RuntimeException("Za domaci");
    }

    public List<Product> getAllProducts() throws Exception {
        Request request = new Request();
        request.setOperation(Operation.OPERATION_GET_ALL_PRODUCTS);
        Communication.getInstance().sendRequest(request);
        Response response = Communication.getInstance().readResponse();
        return (List<Product>) response.getData();
    }

    public Product getProduct(Long productId) throws Exception {
        throw new RuntimeException("Za domaci");
    }

    public void updateProduct(Product updatedProduct) throws Exception {
        throw new RuntimeException("Za domaci");
    }

    public Invoice saveInvoice(Invoice invoice) throws Exception {
        throw new RuntimeException("Za domaci");
    }
}
