/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author student1
 */
public class Invoice implements Serializable {

    private Long id;
    private Date createdDate;
    private BigDecimal amount;
    private User createdUser;
    private List<InvoiceItem> invoiceItems;

    public Invoice() {
        this.invoiceItems = new LinkedList<>();
    }

    public Invoice(Long id, Date createdDate, BigDecimal amount, User createdUser, List<InvoiceItem> invoiceItems) {
        this.id = id;
        this.createdDate = createdDate;
        this.amount = amount;
        this.createdUser = createdUser;
        this.invoiceItems = invoiceItems;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public User getCreatedUser() {
        return createdUser;
    }

    public void setCreatedUser(User createdUser) {
        this.createdUser = createdUser;
    }

    public List<InvoiceItem> getInvoiceItems() {
        return invoiceItems;
    }

    public void setInvoiceItems(List<InvoiceItem> invoiceItems) {
        this.invoiceItems = invoiceItems;
    }

}
