/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domain;

import java.math.BigDecimal;
import java.sql.ResultSet;
import java.util.List;

/**
 *
 * @author student1
 */
public class InvoiceItem implements IGeneralEntity {

    private Invoice invoice;
    private int orderNo;
    private Product product;
    private BigDecimal price;
    private BigDecimal quantity;

    public InvoiceItem(Invoice invoice, int orderNo, Product product, BigDecimal price, BigDecimal quantity) {
        this.invoice = invoice;
        this.orderNo = orderNo;
        this.product = product;
        this.price = price;
        this.quantity = quantity;
    }

    public InvoiceItem() {
    }

    public Invoice getInvoice() {
        return invoice;
    }

    public void setInvoice(Invoice invoice) {
        this.invoice = invoice;
    }

    public int getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(int orderNo) {
        this.orderNo = orderNo;
    }

    public Product getProduct() {
        return product;
    }

    public void setProduct(Product product) {
        this.product = product;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    @Override
    public String getTableName() {
        return "invoice_item";
    }

    @Override
    public List<IGeneralEntity> getList(ResultSet resultSet) throws Exception {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }
}
