/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.database;

import domain.User;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import storage.AbstractStorageUser;
import storage.database.connection.DatabaseConnection;

/**
 *
 * @author student1
 */
public class DatabaseStorageUser extends AbstractStorageUser{

    @Override
    public User findById(Long entityId) throws Exception {
        try {
            Connection connection = DatabaseConnection.getInstance().getConnection();
            System.out.println("Uspostavljena je konekcija na bazu");
            String query = "select * from user where id=" + entityId;                    
            
            Statement statement = connection.createStatement();
            ResultSet resultSet = statement.executeQuery(query);

            while (resultSet.next()) {
                Long id = resultSet.getLong("id");
                String username = resultSet.getString("username");
                String password = resultSet.getString("password");
                String email = resultSet.getString("email");
                String firstname = resultSet.getString("firstname");
                String lastname = resultSet.getString("lastname");
                return new User(id, username, password, firstname, lastname, email);
            }
        } catch (SQLException ex) {
            System.out.println(ex.getMessage());
        }
        throw new Exception("User does not exist");
    }
     
    @Override
    public User findByUsernameAndPassword(String username, String password) throws Exception {
        try {
            Connection connection = DatabaseConnection.getInstance().getConnection();
            System.out.println("Uspostavljena je konekcija na bazu");
            String query = "select * from user where username='" + username
                    + "' and password='" + password + "';";
            System.out.println(query);
            Statement statement = connection.createStatement();
            ResultSet resultSet = statement.executeQuery(query);

            while (resultSet.next()) {
                Long dbId = resultSet.getLong("id");
                String dbCurrentUsername = resultSet.getString("username");
                String dbCurrentPassword = resultSet.getString("password");
                String dbEmail = resultSet.getString("email");
                String dbFirstname = resultSet.getString("firstname");
                String dbLastname = resultSet.getString("lastname");
                return new User(dbId, dbCurrentUsername, dbCurrentPassword, dbFirstname, dbLastname, dbEmail);
            }
        } catch (SQLException ex) {
            System.out.println(ex.getMessage());
        }
        throw new Exception("User does not exist");
    }
}
