/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.memory;

import domain.Product;
import java.util.LinkedList;
import java.util.List;
import storage.AbstractStorageProduct;

/**
 *
 * @author Korisnik
 */
public class MemoryStorageProduct extends AbstractStorageProduct {

    private final List<Product> products;

    public MemoryStorageProduct() {
        this.products = new LinkedList<>();
    }

    @Override
    public void add(Product product) {
        this.products.add(product);
    }

    @Override
    public List<Product> getAll() {
        return products;
    }

    public Long getNextID() {
        Long id = -1l;
        for (Product product : products) {
            if (product.getId() > id) {
                id = product.getId();
            }
        }
        return id + 1;
    }

    @Override
    public Product findById(Long entityId) throws Exception {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

}
