/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package service.impl;

import domain.AbstractDomainObject;
import domain.User;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import service.UserService;
import storage.generic.GenericStorage;

/**
 *
 * @author student1
 */
public class UserServiceImpl implements UserService {

    GenericStorage storage;

    public UserServiceImpl() {
        storage = new GenericStorage();
    }

    @Override
    public List<User> getAll() throws Exception {

        try {
            List<User> users = new ArrayList<>();
            List<AbstractDomainObject> lista = storage.getAll(new User());
            for (AbstractDomainObject o : lista) {
                users.add((User) o);
            }
            return users;
        } catch (SQLException ex) {
            Logger.getLogger(UserServiceImpl.class.getName()).log(Level.SEVERE, null, ex);
            throw new Exception(ex.getMessage());
        }
    }

    @Override
    public User findByUsernameAndPassword(String username, String password) throws Exception {
        //TODO: Napisati efikasnije!!! (za domaci)
        try {
            List<AbstractDomainObject> lista = storage.getAll(new User());
            for (AbstractDomainObject o : lista) {
                User current = (User) o;
                if ((current.getUsername().equals(username))
                        &&current.getPassword().equals(password))
                    return current;
            }
            
            throw new Exception("User does not exist");
        } catch (SQLException ex) {
            Logger.getLogger(UserServiceImpl.class.getName()).log(Level.SEVERE, null, ex);
            throw new Exception(ex.getMessage());
        }
    }

}
