/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.generic;

import domain.AbstractDomainObject;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import storage.database.connection.DatabaseConnection;

/**
 *
 * @author student1
 */
public class GenericStorage {
    public List<AbstractDomainObject> getAll(AbstractDomainObject ado) throws SQLException{
        List<AbstractDomainObject> list = new ArrayList<>();
        String query = "SELECT * FROM "+ado.getTableName();
        System.out.println(query);
        Connection conn = DatabaseConnection.getInstance()
                .getConnection();
        Statement st = conn.createStatement();
        ResultSet rs = st.executeQuery(query);
        list = ado.getList(rs);
        
        return list;
    }
    public void save(AbstractDomainObject ado){
        String query = "INSERT INTO "+ado.getTableName()
                +"("+ado.getColumnsForInsert()+") VALUES("+ado.getValuesForInsert()
                +")"; 
        System.out.println(query);
    }
}
