/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package thread;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.net.Socket;
import java.util.logging.Level;
import java.util.logging.Logger;
import transfer.Operation;
import transfer.Request;

/**
 *
 * @author student1
 */
public class ClientThread extends Thread {

    private Socket socket;
    private String username;
    ClientThread(Socket socket) {
       this.socket=socket; 
    }

    @Override
    public void run() {
        while(!isInterrupted()){
            try {
                ObjectInputStream inSocket=new ObjectInputStream(socket.getInputStream());
                System.out.println("Waiting for request...");
                Request request=(Request)inSocket.readObject();
                processRequest(request);
            } catch (Exception ex) {
                Logger.getLogger(ClientThread.class.getName()).log(Level.SEVERE, null, ex);
            }
            
        }
    }

    private void processRequest(Request request) {
        switch(request.getOperation()){
            case Operation.OPERATION_LOGIN:
                username=request.getData().toString();
                break;
            case Operation.OPERATION_LOGOUT:
                
                break;
            case Operation.OPERATION_SEND_MESSAGE:
                
                break;
        }
    }

    public String getUsername() {
        return username;
    }

    public Socket getSocket() {
        return socket;
    }
    
}
