/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.database;

import domain.Manufacturer;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import storage.database.connection.DatabaseConnection;

/**
 *
 * @author student1
 */
public class DatabaseStorageManufacturer {

    public List<Manufacturer> getAll() throws SQLException {
        List<Manufacturer> list = new ArrayList<>();

        String query = "select * from manufacturer order by name";
        Statement statement = DatabaseConnection.getInstance().getConnection().createStatement();
        ResultSet results = statement.executeQuery(query);

        while (results.next()) {
            Long id = results.getLong("id");
            String name = results.getString("name");
            list.add(new Manufacturer(id, name));
        }

        results.close();
        statement.close();

        return list;
    }
}
