/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package thread;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.Socket;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JTextArea;

/**
 *
 * @author student1
 */
public class ThreadReadMessage extends Thread {

    Socket socket;
    JTextArea textArea;

    public ThreadReadMessage(Socket socket, JTextArea textArea) {
        this.socket = socket;
        this.textArea = textArea;
    }

    @Override
    public void run() {
        while (true) {
            try {
                BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
                System.out.println("Waiting for message...");
                String message = in.readLine();
                System.out.println("Message: " + message);
                textArea.append(message);
                textArea.append("\n");
            } catch (IOException ex) {
                Logger.getLogger(ThreadReadMessage.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
    }

}
