/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import domain.Manufacturer;
import domain.User;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import storage.StorageManufacturer;
import storage.StorageProduct;
import storage.StorageUser;

/**
 *
 * @author student1
 */
public class Controller {
    private StorageUser storageUser;
    private StorageProduct storageProduct;
    private StorageManufacturer storageManufacturer;

    public Controller() {
        storageUser = new StorageUser();
        storageProduct = new StorageProduct();
        storageManufacturer = new StorageManufacturer();
    }
    
    public User logIn(String username, String password) throws Exception{
        try {
            return storageUser.logIn(username, password);
        } catch (Exception ex) {
            throw ex;
        }
        
    }
    
    public List<Manufacturer> getAllManufacturers() {
        return storageManufacturer.getAll();
    }
    
}
